org.eclipse.viatra.addon.viewers.runtime.util

## Class ViewerTraceabilityUtil

- java.lang.Object
- - org.eclipse.viatra.addon.viewers.runtime.util.ViewerTraceabilityUtil

-     public final class ViewerTraceabilityUtil
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Collection<Containment>` | `deleteTracesAndContainments(ViatraQueryEngine engine, java.lang.Object source, java.lang.Object target)`
    `static java.util.Collection<Edge>` | `deleteTracesAndEdges(ViatraQueryEngine engine, java.lang.Object source, java.lang.Object target)`
    `static java.util.Collection<Item>` | `deleteTracesAndItems(ViatraQueryEngine engine, java.lang.Object source)`
    `static java.util.Collection<Containment>` | `traceTocontainment(ViatraQueryEngine engine, java.lang.Object source, java.lang.Object target)`
    `static java.util.Collection<Edge>` | `traceToEdge(ViatraQueryEngine engine, java.lang.Object source, java.lang.Object target)`
    `static java.util.Collection<Item>` | `traceToItem(ViatraQueryEngine engine, java.lang.Object source)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### traceToItem

          public static java.util.Collection<Item> traceToItem(ViatraQueryEngine engine,
                                                               java.lang.Object source)

    - #### traceToEdge

          public static java.util.Collection<Edge> traceToEdge(ViatraQueryEngine engine,
                                                               java.lang.Object source,
                                                               java.lang.Object target)

    - #### traceTocontainment

          public static java.util.Collection<Containment> traceTocontainment(ViatraQueryEngine engine,
                                                                             java.lang.Object source,
                                                                             java.lang.Object target)

    - #### deleteTracesAndItems

          public static java.util.Collection<Item> deleteTracesAndItems(ViatraQueryEngine engine,
                                                                        java.lang.Object source)

    - #### deleteTracesAndEdges

          public static java.util.Collection<Edge> deleteTracesAndEdges(ViatraQueryEngine engine,
                                                                        java.lang.Object source,
                                                                        java.lang.Object target)

    - #### deleteTracesAndContainments

          public static java.util.Collection<Containment> deleteTracesAndContainments(ViatraQueryEngine engine,
                                                                                      java.lang.Object source,
                                                                                      java.lang.Object target)